Ansys Products

Ansys Products

Installation halts, gui hangs. ver 19.1

    • banerian
      Subscriber

      after installing ver 18.2 on a new system (linux install) we proceeded with installation of 19.1


      the "progress bar" got to 89% and then never terminated.


      install.err.tmp is attached, except not, as this forum will not accept the file extension.


      no indications as to how to proceed.


       


      error log contents pasted below, as file upload seems to wedge this forum


       


      ###### Error #######


      Error executing configuration script '/opt/ansys_inc/v191/commonfiles/configs/linx64/config/AnsConfigRSM.sh'


       


      '"/opt/ansys_inc/v191/commonfiles/configs/linx64/config/AnsConfigRSM.sh"  -installdir "/opt/ansys_inc" -rev 191 -dotrev 19.1 -scripttosource "/opt/ansys_inc/v191/commonfiles/configs/linx64/config/ConfigCommon.tcl" -sourcedir "/tmp/ans_install_tmp5750" -os_lang en-us -install -skip_file_associations ' terminated after 1 attempts with the following error(s): 


          Unknown error


      Exit Code: 0


      readlink: invalid option -- 'p'


      Try 'readlink --help' for more information.


      dirname: missing operand


      Try 'dirname --help' for more information.


      dirname: missing operand


      Try 'dirname --help' for more information.


      dirname: missing operand


      Try 'dirname --help' for more information.


      dirname: missing operand


      Try 'dirname --help' for more information.


      dirname: missing operand


      Try 'dirname --help' for more information.


      /opt/ansys_inc/v191/RSM/Config/tools/linux/rsmconfig: 26: /opt/ansys_inc/v191/RSM/Config/tools/linux/rsmconfig: /Framework/bin/Linux64/runwb2: not found/opt/ansys_inc/v191/commonfiles/configs/linx64/config/AnsConfigWB.sh: 170: [: /opt/ansys_inc/v191/aisol/dll/linx64/libans.common.clrhostmonou.so: unexpected operator


      /opt/ansys_inc/v191/commonfiles/configs/linx64/config/AnsConfigWB.sh: 170: [: /opt/ansys_inc/v191/aisol/dll/linx64/libans.common.controlsu.so: unexpected operator


       

    • David Yakinian
      Ansys Employee

      Hi,


      What version of Linux are you running? Are you running it with root privilege? Make sure you are using a supported OS.


       


      https://www.ansys.com/-/media/ansys/corporate/files/pdf/solutions/it-professionals/platform-support/ansys-platform-support-strategy-plans-april-2018.pdf?la=en

    • banerian
      Subscriber

      version of Linux is a patched 4.9 kernel, a couple of custom modules for our hardware (chipset, graphics, etc)


      18.2 ansys installed w/o problems reported, and the documents suggested installing newer version on top of older version, something about the licensing, IIRC.


      18.2 launcher, fluent open.


      is the 19.1 installer so different from 18.2? 


       

    • JakeC
      Ansys Employee

      Hi Banerian,


      Which flavor of linux?  Can you paste in the results of:
      cat /etc/*release*


      Additionally as David asked, are you installing as root?


      Also which shell are you using?  If not using bash, can you please switch to a bash shell and try that.
      Lastly please make sure that you have the libpng12 library installed.


      Thank you,
      Jake

Viewing 3 reply threads
  • You must be logged in to reply to this topic.